#ifndef NEUTRONDETECTORMAXTIMECUTS_HH
#define NEUTRONDETECTORMAXTIMECUTS_HH

#include "G4ios.hh"
#include "globals.hh"
#include "SpecialCuts.hh"

class NeutronDetectorMaxTimeCuts : public SpecialCuts
{
public:     
  NeutronDetectorMaxTimeCuts(const G4String& processName ="NeutronDetectorMaxTimeCuts");
  virtual ~NeutronDetectorMaxTimeCuts();

  // PostStep GPIL
  virtual G4double PostStepGetPhysicalInteractionLength(const G4Track& track,
							G4double   previousStepSize,
							G4ForceCondition* condition);

private:
  G4double fMaxTime;
};

#endif

