
#ifndef NEUTRONDETECTORMINEKINECUTS_HH
#define NEUTRONDETECTORMINEKINECUTS_HH

#include "G4ios.hh"
#include "globals.hh"
#include "SpecialCuts.hh"

class NeutronDetectorMinEkineCuts : public SpecialCuts
{
public:     
  NeutronDetectorMinEkineCuts(const G4String& processName ="NeutronDetectorMinEkineCuts" );
  virtual ~NeutronDetectorMinEkineCuts();

  // PostStep GPIL
  virtual G4double PostStepGetPhysicalInteractionLength(const G4Track& track,
							G4double   previousStepSize,
							G4ForceCondition* condition);
};

#endif

