#ifndef PRIMARYGENERATORACTION_HH
#define PRIMARYGENERATORACTION_HH

#include "G4VUserPrimaryGeneratorAction.hh"
#include "globals.hh"

class PrimaryGeneratorActionMessenger;
class G4ParticleGun;
class TRandom3;

class PrimaryGeneratorAction : public G4VUserPrimaryGeneratorAction
{
public:
  PrimaryGeneratorAction();
  virtual ~PrimaryGeneratorAction();

  void GeneratePrimaries(G4Event*);

  void SetStandardKineticEnergy(G4double val);

private:
  G4ParticleGun* fParticleGun;

  PrimaryGeneratorActionMessenger* fBeamMessenger;

  G4double fStandardKineticEnergy;

  TRandom3* fRandom;
};

#endif


